<?

function lbound_FacturasVeracruzIdfact($idfacturasint,$lf,$lf1){
	    $link=Conectarse();
		$q1=mysqli_query($link,"select idconceptos_facturas from conceptos_facturas_veracruz   
		where id_factura_facturas='".$idfacturasint."' and id_factura_facturas>=".$lf." 
		and id_factura_facturas<=".$lf1." and id_factura_facturas>=82423 order by idconceptos_facturas asc limit 20");
 	    /*echo "select idconceptos_facturas from conceptos_facturas_veracruz   
		where id_factura_facturas='".$idfacturasint."' and id_factura_facturas>=".$lf." 
		and id_factura_facturas<=".$lf1." order by idconceptos_facturas asc limit 20<br><br>";*/
		$z=1;
		$lbound='';
		$ubound='';
		
		while($r = mysqli_fetch_array($q1)){
			if($z==1){
				$lbound=$r[0];
			}else{
				$ubound=$r[0];
			}
			$z++;
		}
		if($ubound ==''){
			$ubound = $lbound;
		}
		return $lbound.' '.$ubound.' '.mysqli_num_rows($q1) ;
		mysqli_free_result($q1);
}
function ubound_FacturasVeracruzIdfact($idfacturasint,$lf,$lf1){
	    $link=Conectarse();
		$q1=mysqli_query($link,"select idconceptos_facturas from conceptos_facturas_veracruz   
		where id_factura_facturas='".$idfacturasint."' and id_factura_facturas>=".$lf." 
		and id_factura_facturas<=".$lf1."  and id_factura_facturas>=82423 order by idconceptos_facturas desc limit 1");
 
		$r = mysqli_fetch_array($q1);
		 
		$idfact=$r[idconceptos_facturas];

		return $idfact ;
		mysqli_free_result($q1);
}

function lbound_FacturasVeracruz($fecha,$pd){
	    $link=Conectarse();
		$q1=mysqli_query($link,"select idfacturasint from facturasint_veracruz C 
		where fecha_facturas>='".$fecha."'  and referencia_puerto like '%".$pd."%' and idfacturasint>=82423 order by idfacturasint limit 1");
 
		$r = mysqli_fetch_array($q1);
		 
		$idfact=$r[idfacturasint];

		return $idfact ;
		mysqli_free_result($q1);
}
function ubound_FacturasVeracruz($fecha,$pd){
	    $link=Conectarse();
		$q1=mysqli_query($link,"select idfacturasint from facturasint_veracruz C 
		where fecha_facturas<='".$fecha."' and referencia_puerto like '%".$pd."%'  and idfacturasint>=82423 order by idfacturasint desc limit 1");
 
		$r = mysqli_fetch_array($q1);
		 
		$idfact=$r[idfacturasint];

		return $idfact ;
		mysqli_free_result($q1);
}

function cargas_bounds($bl_house,$id_cargas_lbound1){
	    $link=Conectarse();
		$q1=mysqli_query($link,"select idcargasimpoint from cargasimpoint C 
		where hbl_cargas='".$bl_house."' and idcargasimpoint>".$id_cargas_lbound1." order by idcargasimpoint limit 15");

		$z=1;
		$id_cargas_lbound=0;
		$id_cargas_ubound=0;
		if(mysqli_num_rows($q1)>1){
			while($r = mysqli_fetch_array($q1)){
				$rc =  mysqli_num_rows($q1);
				if($z==1){
					$id_cargas_lbound=$r[idcargasimpoint];
				}
				if($rc > 0)
				{
					if($z== mysqli_num_rows($q1)){
						$id_cargas_ubound=$r[idcargasimpoint];
					}
				}
				$z++;
			}
		}else{
			$r = mysqli_fetch_array($q1);
			$id_cargas_lbound=$r[idcargasimpoint];
			$id_cargas_ubound=$r[idcargasimpoint];
		}
		return $id_cargas_lbound.' '.$id_cargas_ubound.' '.mysqli_num_rows($q1);
		mysqli_free_result($q1);
}	
	
function fLimiteFacturasint_Veracruz($anio_eta,$mes_eta){
 $link=Conectarse();
 
	$queryLimiteDatosimpoint=mysqli_query($link,"select idfacturasint from facturasint_veracruz where month(fecha_facturas) = ".$mes_eta."
	AND year(fecha_facturas) = ".$anio_eta." ORDER BY idfacturasint ASC limit 1");
	if(mysqli_num_rows($queryLimiteDatosimpoint)<1){
		if($mes_eta>1){
			$mes_eta=$mes_eta-1;
		}
		$queryLimiteDatosimpoint=mysqli_query($link,"select idfacturasint from facturasint_veracruz where month(fecha_facturas) = ".$mes_eta."
		AND year(fecha_facturas) = ".$anio_eta." ORDER BY idfacturasint ASC limit 1");
	}
	
	if(mysqli_num_rows($queryLimiteDatosimpoint)<1){
		$queryLimiteDatosimpoint=mysqli_query($link,"select idfacturasint from facturasint_veracruz where 
		year(fecha_facturas) = ".$anio_eta." ORDER BY idfacturasint ASC limit 1");
	}
	$rqueryLimiteDatosimpoint=mysqli_fetch_array($queryLimiteDatosimpoint); 
	return $rqueryLimiteDatosimpoint[0];
}
function fLimiteDatosimpoint1($anio_eta,$mes_eta,$tipo_fecha){
	$link=Conectarse();
	$queryLimiteDatosimpoint=mysqli_query($link,"select iddatosimpoint from datosimpoint where month(cast(".$tipo_fecha." as date)) = ".$mes_eta."
	AND year(cast(".$tipo_fecha." as date)) = ".$anio_eta." ORDER BY iddatosimpoint ASC limit 1");
	if(mysqli_num_rows($queryLimiteDatosimpoint)<1){
		if($mes_eta>1){
			$mes_eta=$mes_eta-1;
		}
		$queryLimiteDatosimpoint=mysqli_query($link,"select iddatosimpoint from datosimpoint where month(cast(".$tipo_fecha." as date)) = ".$mes_eta."
	AND year(cast(".$tipo_fecha." as date)) = ".$anio_eta." ORDER BY iddatosimpoint ASC limit 1");
	}
	
	if(mysqli_num_rows($queryLimiteDatosimpoint)<1){
		$queryLimiteDatosimpoint=mysqli_query($link,"select iddatosimpoint from datosimpoint where 
		year(cast(".$tipo_fecha." as date)) = ".$anio_eta." ORDER BY iddatosimpoint ASC limit 1");
	}
	$rqueryLimiteDatosimpoint=mysqli_fetch_array($queryLimiteDatosimpoint); 
	return $rqueryLimiteDatosimpoint[0];
}

function fLimiteDatosimpointUbound($anio_eta,$mes_eta,$tipo_fecha){
	$link=Conectarse();
	$queryLimiteDatosimpoint=mysqli_query($link,"select iddatosimpoint from datosimpoint where month(cast(".$tipo_fecha." as date)) = ".$mes_eta."
	AND year(cast(".$tipo_fecha." as date)) = ".$anio_eta." ORDER BY iddatosimpoint DESC limit 1");
	if(mysqli_num_rows($queryLimiteDatosimpoint)<1){
		if($mes_eta>1){
			$mes_eta=$mes_eta-1;
		}
		$queryLimiteDatosimpoint=mysqli_query($link,"select iddatosimpoint from datosimpoint where month(cast(".$tipo_fecha." as date)) = ".$mes_eta."
	AND year(cast(".$tipo_fecha." as date)) = ".$anio_eta." ORDER BY iddatosimpoint DESC limit 1");
	}
	
	if(mysqli_num_rows($queryLimiteDatosimpoint)<1){
		$queryLimiteDatosimpoint=mysqli_query($link,"select iddatosimpoint from datosimpoint where 
		year(cast(".$tipo_fecha." as date)) = ".$anio_eta." ORDER BY iddatosimpoint DESC limit 1");
	}
	$rqueryLimiteDatosimpoint=mysqli_fetch_array($queryLimiteDatosimpoint); 
	return $rqueryLimiteDatosimpoint[0];
}
function fLimiteFacturasint1($anio_eta,$mes_eta){
	$link=ConectarseMenu();
	$queryLimiteDatosimpoint=mysqli_query($link,"select idfacturasint from facturasint where month(fecha_facturas) = ".$mes_eta."
	AND year(fecha_facturas) = ".$anio_eta." ORDER BY fecha_facturas ASC limit 1");
	if(mysqli_num_rows($queryLimiteDatosimpoint)<1){
		if($mes_eta>1){
			$mes_eta=$mes_eta-1;
		}
		$queryLimiteDatosimpoint=mysqli_query($link,"select idfacturasint from facturasint where month(fecha_facturas) = ".$mes_eta."
		AND year(fecha_facturas) = ".$anio_eta." ORDER BY fecha_facturas ASC limit 1");
	}
	
	if(mysqli_num_rows($queryLimiteDatosimpoint)<1){
		$queryLimiteDatosimpoint=mysqli_query($link,"select idfacturasint from facturasint where 
		year(fecha_facturas) = ".$anio_eta." ORDER BY fecha_facturas ASC limit 1");
	}
	$rqueryLimiteDatosimpoint=mysqli_fetch_array($queryLimiteDatosimpoint); 
	return $rqueryLimiteDatosimpoint[0];
}

function fLimiteFacturasintLBound($anio_eta,$mes_eta,$tipo_fecha ){
	$link=Conectarse();
	$queryL=mysqli_query($link,"select day(envio_notificacion),year(envio_notificacion),month(envio_notificacion) from datosimpoint where month(".$tipo_fecha.") = ".$mes_eta."
	AND year(".$tipo_fecha.") = ".$anio_eta." and envio_notificacion<> '' ORDER BY envio_notificacion ASC limit 1");
	
	/*echo "select day(envio_notificacion),year(envio_notificacion),month(envio_notificacion) from datosimpoint where month(".$tipo_fecha.") = ".$mes_eta."
	AND year(".$tipo_fecha.") = ".$anio_eta." and envio_notificacion<> '' ORDER BY envio_notificacion ASC limit 1";*/
	$primera_notificacion='';
	if(mysqli_num_rows($queryL)>0){
		$rqueryL=mysqli_fetch_array($queryL); 
		$primera_notificacion=$rqueryL[1].'-'.str_pad($rqueryL[2], 2, "0", STR_PAD_LEFT).'-'.str_pad($rqueryL[0], 2, "0", STR_PAD_LEFT)  ;
	}
	/*select envio_notificacion from datosimpoint where month(eta) = 8
	AND year(eta) = 2020 and envio_notificacion<> '' ORDER BY envio_notificacion ASC */
	if($primera_notificacion!=''){
		$queryLimiteDatosimpoint=mysqli_query($link,"select idfacturasint from facturasint where fecha_facturas>= '".$primera_notificacion."'
		ORDER BY fecha_facturas ASC limit 1");
		/*echo "select idfacturasint from facturasint where fecha_facturas>= '".$primera_notificacion."'
		ORDER BY fecha_facturas ASC limit 1";*/
		$rqueryLimiteDatosimpoint=mysqli_fetch_array($queryLimiteDatosimpoint); 
	}else{
			$queryLimiteDatosimpoint=mysqli_query($link,"select idfacturasint from facturasint where month(fecha_facturas) = ".$mes_eta."
			AND year(fecha_facturas) = ".$anio_eta." ORDER BY fecha_facturas ASC limit 1");
			if(mysqli_num_rows($queryLimiteDatosimpoint)<1){
				if($mes_eta>1){
					$mes_eta=$mes_eta-1;
				}
				$queryLimiteDatosimpoint=mysqli_query($link,"select idfacturasint from facturasint where month(fecha_facturas) = ".$mes_eta."
				AND year(fecha_facturas) = ".$anio_eta." ORDER BY fecha_facturas ASC limit 1");
			}
			
			if(mysqli_num_rows($queryLimiteDatosimpoint)<1){
				$queryLimiteDatosimpoint=mysqli_query($link,"select idfacturasint from facturasint where 
				year(fecha_facturas) = ".$anio_eta." ORDER BY fecha_facturas ASC limit 1");
			}
			$rqueryLimiteDatosimpoint=mysqli_fetch_array($queryLimiteDatosimpoint); 
	}
	return $rqueryLimiteDatosimpoint[0];
}

function fLimiteFacturasintUBound($anio_eta,$mes_eta){
	$link=Conectarse();
	$queryLimiteDatosimpoint=mysqli_query($link,"select idfacturasint from facturasint where month(fecha_facturas) = ".$mes_eta."
	AND year(fecha_facturas) = ".$anio_eta." ORDER BY idfacturasint ASC limit 1");
	if(mysqli_num_rows($queryLimiteDatosimpoint)<1){
		if($mes_eta>1){
			$mes_eta=$mes_eta-1;
		}
		$queryLimiteDatosimpoint=mysqli_query($link,"select idfacturasint from facturasint where month(fecha_facturas) = ".$mes_eta."
		AND year(fecha_facturas) = ".$anio_eta." ORDER BY idfacturasint ASC limit 1");
	}
	
	if(mysqli_num_rows($queryLimiteDatosimpoint)<1){
		$queryLimiteDatosimpoint=mysqli_query($link,"select idfacturasint from facturasint where 
		year(fecha_facturas) = ".$anio_eta." ORDER BY idfacturasint ASC limit 1");
	}
	$rqueryLimiteDatosimpoint=mysqli_fetch_array($queryLimiteDatosimpoint); 
	return $rqueryLimiteDatosimpoint[0];
}


function fLimiteFacturasINTCanceladasdown($fecha){
	$link=Conectarse();
	$queryLimiteDatosimpoint=mysqli_query($link,"select idfacturasint from facturasint where fecha_cancelacion_cfdi>= ".$fecha." ORDER BY fecha_cancelacion_cfdi ASC limit 1");
	if(mysqli_num_rows($queryLimiteDatosimpoint)<1){
		if($mes_eta>1){
			$mes_eta=$mes_eta-1;
		}
		$queryLimiteDatosimpoint=mysqli_query($link,"select idfacturasint from facturasint where fecha_cancelacion_cfdi>= ".$fecha."  ORDER BY fecha_cancelacion_cfdi ASC limit 1");
	}
	
	if(mysqli_num_rows($queryLimiteDatosimpoint)<1){
		$queryLimiteDatosimpoint=mysqli_query($link,"select idfacturasint from facturasint where 
		fecha_cancelacion_cfdi>= ".$fecha."  ORDER BY fecha_cancelacion_cfdi ASC limit 1");
	}
	$rqueryLimiteDatosimpoint=mysqli_fetch_array($queryLimiteDatosimpoint); 
	return $rqueryLimiteDatosimpoint[0];
}

function fLimiteFacturasINTCanceladasup($fecha){
	$link=Conectarse();
	$queryLimiteDatosimpoint=mysqli_query($link,"select idfacturasint from facturasint where fecha_cancelacion_cfdi<= ".$fecha."
	ORDER BY fecha_cancelacion_cfdi DESC limit 1");
	if(mysqli_num_rows($queryLimiteDatosimpoint)<1){
		if($mes_eta>1){
			$mes_eta=$mes_eta-1;
		}
		$queryLimiteDatosimpoint=mysqli_query($link,"select idfacturasint from facturasint where fecha_cancelacion_cfdi<= ".$fecha." ORDER BY fecha_cancelacion_cfdi DESC limit 1");
	}
	
	if(mysqli_num_rows($queryLimiteDatosimpoint)<1){
		$queryLimiteDatosimpoint=mysqli_query($link,"select idfacturasint from facturasint where 
		fecha_cancelacion_cfdi<= ".$fecha." ORDER BY fecha_cancelacion_cfdi DESC limit 1");
	}
	$rqueryLimiteDatosimpoint=mysqli_fetch_array($queryLimiteDatosimpoint); 
	return $rqueryLimiteDatosimpoint[0];
}

function fLimiteFacturasINTdown($fecha){
	$link=Conectarse();
	$queryLimiteDatosimpoint=mysqli_query($link,"select idfacturasint from facturasint where fecha_facturas>= '".$fecha."' 
	and fecha_facturas<>'' ORDER BY fecha_facturas ASC limit 1");  
	
	$rqueryLimiteDatosimpoint=mysqli_fetch_array($queryLimiteDatosimpoint); 
	return $rqueryLimiteDatosimpoint[0];
}

function fLimiteFacturasINTup($fecha){
	$link=Conectarse();
	$queryLimiteDatosimpoint=mysqli_query($link,"select idfacturasint from facturasint where fecha_facturas<= '".$fecha."'
	and fecha_facturas<>'' 
	ORDER BY fecha_facturas DESC limit 1");  
	 
	$rqueryLimiteDatosimpoint=mysqli_fetch_array($queryLimiteDatosimpoint); 
	return $rqueryLimiteDatosimpoint[0];
}
?>